Subject: Offline Message from Dalal: I have been charged for an order then on the next
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 19 Jun 2020 11:18:12 -0000

From: Dalal <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/sales/order/invoice/order_id/1446280/
Department: 

I have been charged for an order then on the next day it has been canceled by the website. i have not receive the order or refund my money.

my order number is #200282148
Invoice #200201118

I have received all the order except one piece (SKU:TC-BTW519-6-12M) that has been canceled.

----
Zopim
https://www.zopim.com